Chat9
APIDocuments

Refresh Url Source Route

Trigger an immediate re-crawl for a URL source.

POST
/documents/sources/{source_id}/refresh
/documents/sources/{source_id}/refresh

The Authorization access token

Authorization

Authorization
Required
Bearer <token>

In: header

Path Parameters

source_id
Required
Source Id

Format: "uuid"
curl -X POST "https://api.getchat9.live/documents/sources/497f6eca-6276-4993-bfeb-53cbbbba6f08/refresh" \
  -H "Authorization: Bearer <token>"

Successful Response

{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "url": "string",
  "source_type": "url",
  "status": "string",
  "schedule": "daily",
  "pages_found": 0,
  "pages_indexed": 0,
  "chunks_created": 0,
  "last_crawled_at": "2019-08-24T14:15:22Z",
  "next_crawl_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "warning_message": "string",
  "error_message": "string",
  "exclusion_patterns": [
    "string"
  ]
}